group 'SmartVenue'
version '1.0.0'
ext {
    springBootVersion = '1.5.7.RELEASE'
}


apply plugin: 'java'
apply plugin: 'org.springframework.boot'

sourceCompatibility = 1.8

buildscript {
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath("org.springframework.boot:spring-boot-gradle-plugin:1.5.4.RELEASE")
    }
}


repositories {
    mavenCentral()
}

jar {
    baseName = 'sv-oms'
}

dependencies {
    compile fileTree(include: '*.jar', dir: 'src/libs')
    compile project(':service')
    compile 'org.apache.shiro:shiro-spring-boot-starter:1.4.0'
    compile 'org.apache.shiro:shiro-ehcache:1.4.0'
    compile 'mysql:mysql-connector-java:6.0.6'


}

tasks.withType(JavaCompile) {
    options.encoding = "UTF-8"
}
